Subject: Re: bug#11236: 24.1.50; Maximum buffer size exceeded

From: Peter Dyballa <[email-masked]>
Date: Mon, 16 Apr 2012 00:44:30 +0200

Am 13.04.2012 um 17:31 schrieb Eli Zaretskii:

> Can you run under a debugger, but a breakpoint inside buffer_overflow,
> and when it breaks, look around in make_gap_larger and see why exactly
> this overflow happens?  E.g., what are the values of current_size and
> of nbytes_added?

The value returned is consistently and always: "The history is empty."

The culprit compiler switch is: -malign-natural. I'll configure the X  
client version (Xaw3d) with that switch and see if it behaves the  
same. If that fails I'll reconfigure and recompile the NS variant, now  
with the -ggdb3 or -ggdb switch (default extended format), and maybe  
with -gdwarf-2, to name the native debug information format of Mac OS X.

--
Greetings

   Pete

I love deadlines. I love the whooshing noise they make as they go by.
				– Douglas Adams